/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { IClient } from "@fluidframework/driver-definitions";
import type { TinyliciousMember } from "./interfaces.js";
/**
 * Creates a {@link TinyliciousMember} for the provided client.
 *
 * @remarks
 * Assumes that the provided client's {@link @fluidframework/protocol-definitions#IClient.user} is of type {@link TinyliciousUser}.
 * This function will fail if that is not the case.
 */
export declare function createTinyliciousAudienceMember(audienceMember: IClient): TinyliciousMember;
//# sourceMappingURL=TinyliciousAudience.d.ts.map