"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTinyliciousAudienceMember = void 0;
const internal_1 = require("@fluidframework/core-utils/internal");
/**
 * Creates a {@link TinyliciousMember} for the provided client.
 *
 * @remarks
 * Assumes that the provided client's {@link @fluidframework/protocol-definitions#IClient.user} is of type {@link TinyliciousUser}.
 * This function will fail if that is not the case.
 */
function createTinyliciousAudienceMember(audienceMember) {
    const tinyliciousUser = audienceMember.user;
    (0, internal_1.assert)(tinyliciousUser !== undefined &&
        typeof tinyliciousUser.id === "string" &&
        typeof tinyliciousUser.name === "string", 0x313 /* Specified user was not of type "TinyliciousUser". */);
    return {
        id: tinyliciousUser.id,
        name: tinyliciousUser.name,
        connections: [],
    };
}
exports.createTinyliciousAudienceMember = createTinyliciousAudienceMember;
//# sourceMappingURL=TinyliciousAudience.js.map